// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from automotive_navigation_msgs:msg/PointOfInterestRequest.idl
// generated code does not contain a copyright notice

#ifndef AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST_REQUEST__STRUCT_H_
#define AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST_REQUEST__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'name'
// Member 'module_name'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/PointOfInterestRequest in the package automotive_navigation_msgs.
/**
  * Point of Interest Request Message
  * Contains information needed to request point of interest information
 */
typedef struct automotive_navigation_msgs__msg__PointOfInterestRequest
{
  std_msgs__msg__Header header;
  /// Name of the point of interest list
  rosidl_runtime_c__String name;
  /// module name of the requesting node
  rosidl_runtime_c__String module_name;
  /// Unique id of this request
  /// Can make another request with the same requestId and
  /// different update_num, guid, or tolerance.  New one will
  /// replace the old one.
  uint16_t request_id;
  /// Set to 1 to cancel the request with this requestId
  uint16_t cancel;
  /// The update number of the point list to use
  uint16_t update_num;
  /// Request is for a specific point, not all points in list
  uint16_t guid_valid;
  /// The unique Id for the desired point
  uint64_t guid;
  /// How close to the current vehicle's position a point needs to be
  float tolerance;
} automotive_navigation_msgs__msg__PointOfInterestRequest;

// Struct for a sequence of automotive_navigation_msgs__msg__PointOfInterestRequest.
typedef struct automotive_navigation_msgs__msg__PointOfInterestRequest__Sequence
{
  automotive_navigation_msgs__msg__PointOfInterestRequest * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} automotive_navigation_msgs__msg__PointOfInterestRequest__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST_REQUEST__STRUCT_H_
