// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from automotive_navigation_msgs:msg/DistanceToDestination.idl
// generated code does not contain a copyright notice

#ifndef AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__DISTANCE_TO_DESTINATION__STRUCT_H_
#define AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__DISTANCE_TO_DESTINATION__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"

/// Struct defined in msg/DistanceToDestination in the package automotive_navigation_msgs.
/**
  * Distance To Destination Message
  * Contains the distance to the desired destination
 */
typedef struct automotive_navigation_msgs__msg__DistanceToDestination
{
  std_msgs__msg__Header header;
  /// Increments each time a command is sent
  /// An acknowledge message should be published with this value
  uint8_t msg_counter;
  /// Distance to destination (m)
  float distance;
} automotive_navigation_msgs__msg__DistanceToDestination;

// Struct for a sequence of automotive_navigation_msgs__msg__DistanceToDestination.
typedef struct automotive_navigation_msgs__msg__DistanceToDestination__Sequence
{
  automotive_navigation_msgs__msg__DistanceToDestination * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} automotive_navigation_msgs__msg__DistanceToDestination__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__DISTANCE_TO_DESTINATION__STRUCT_H_
