// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from automotive_navigation_msgs:msg/PointOfInterestStatus.idl
// generated code does not contain a copyright notice

#ifndef AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST_STATUS__STRUCT_H_
#define AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST_STATUS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'params'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/PointOfInterestStatus in the package automotive_navigation_msgs.
/**
  * Point of Interest Status Message
  * Contains the distance, heading, a localized position of a point of interest
 */
typedef struct automotive_navigation_msgs__msg__PointOfInterestStatus
{
  /// Unique Id for this point
  uint64_t guid;
  /// Great circle distance (meters)
  float distance;
  /// Heading (radians)
  float heading;
  /// Distance in front of the vehicle (meters)
  float x_position;
  /// Distance to the left of the vehicle (meters)
  float y_position;
  /// List of parameter:value pairs
  rosidl_runtime_c__String params;
} automotive_navigation_msgs__msg__PointOfInterestStatus;

// Struct for a sequence of automotive_navigation_msgs__msg__PointOfInterestStatus.
typedef struct automotive_navigation_msgs__msg__PointOfInterestStatus__Sequence
{
  automotive_navigation_msgs__msg__PointOfInterestStatus * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} automotive_navigation_msgs__msg__PointOfInterestStatus__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // AUTOMOTIVE_NAVIGATION_MSGS__MSG__DETAIL__POINT_OF_INTEREST_STATUS__STRUCT_H_
